# Automated deployment

Ansible playbook for automated deployment on the online cluster

## Setup Ansible

```bash
$ git clone https://github.com/ansible/ansible.git
$ cd ansible
$ git checkout v2.8.1
```

## Activate the environment

```bash
$ source ansible/hacking/env-setup
```

Alternatively you can use the provided environment on `exflgateway`

```bash
$ source /opt/karabo/ansible/hacking/env-setup
```

## Python dependencies

Ensure `yaml` and `jinja2` packages are installed in your Python environment. If not:

```bash
pip install pyYaml jinja2
```

## Install pycalibration

```bash
./install.yml GROUP_NAME
```

